import java.util.Scanner;

public class Mavenproject3 {
    
    public static void ispitivanje(int[] niz, int L) {
        int resultat = -1;
        for (int i = 0; i < niz.length; i++) {
            if (niz[i] <= L) {
                resultat = i + 1; 
                break;
            }
        }
        System.out.println(resultat); 
    }

    public static int[] Unos(int N) {
        Scanner in = new Scanner(System.in);
        int[] niz = new int[N];

        for (int i = 0; i < niz.length; i++) {
            niz[i] = in.nextInt(); 
        }
        
        return niz; 
    }

    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);

        
        int N = in.nextInt();
        int L = in.nextInt();
        
        
        int[] niz = Unos(N);
        
        
        ispitivanje(niz, L);
    }
}